package org.studiorailgun.sim.character.needs;

/**
 * Structure that stores the desires of a character
 */
public class NeedsHierarchy {

    //
    //tier 1 needs
    //

    /**
     * How hungry the character is
     */
    float hunger;

    /**
     * How thirsty the character is
     */
    float thirst;

    /**
     * How sheltered the character feels
     */
    float shelter;



    //
    //tier 2 needs
    //
    
    /**
     * How likely the character feels that their tier 1 needs will continue to be met in the future
     */
    float security;

    /**
     * How likely the character feels they will be safe from harm in the immediate future
     */
    float safety;



    //
    //tier 3 needs
    //

    /**
     * How satisfied the character is with their social life
     */
    float friendship;

    /**
     * How satisfied the character is with their family life
     */
    float family;



    //
    //tier 4 needs
    //

    /**
     * How accomplished the character feels at their pursuits
     */
    float accomplishment;

    /**
     * How free the character feels
     */
    float freedom;

    /**
     * How high does the character perceive their status in society as being
     */
    float status;






    //
    //tier 5 needs
    //

    /**
     * How much the character feels they have lived up to their potential
     */
    float potential;






    public float getHunger() {
        return hunger;
    }






    public void setHunger(float hunger) {
        this.hunger = hunger;
    }






    public float getThirst() {
        return thirst;
    }






    public void setThirst(float thirst) {
        this.thirst = thirst;
    }






    public float getShelter() {
        return shelter;
    }






    public void setShelter(float shelter) {
        this.shelter = shelter;
    }






    public float getSecurity() {
        return security;
    }






    public void setSecurity(float security) {
        this.security = security;
    }






    public float getSafety() {
        return safety;
    }






    public void setSafety(float safety) {
        this.safety = safety;
    }






    public float getFriendship() {
        return friendship;
    }






    public void setFriendship(float friendship) {
        this.friendship = friendship;
    }






    public float getFamily() {
        return family;
    }






    public void setFamily(float family) {
        this.family = family;
    }






    public float getAccomplishment() {
        return accomplishment;
    }






    public void setAccomplishment(float accomplishment) {
        this.accomplishment = accomplishment;
    }






    public float getFreedom() {
        return freedom;
    }






    public void setFreedom(float freedom) {
        this.freedom = freedom;
    }






    public float getStatus() {
        return status;
    }






    public void setStatus(float status) {
        this.status = status;
    }






    public float getPotential() {
        return potential;
    }






    public void setPotential(float potential) {
        this.potential = potential;
    }





    
    
}
